%global _basename flat-remix-gtk
%global forgeurl https://github.com/daniruiz/%{_basename}
%global tag      20240730
%global date     %{tag}
%forgemeta

Name:            %{_basename}-theme
Version:         2024.07.30
Release:         1%{?dist}
Summary:         Pretty simple theme inspired on material design
BuildArch:       noarch

# Automatically converted from old format: GPLv3+ - review is highly recommended.
License:         GPL-3.0-or-later
URL:             %{forgeurl}
Source:          %{forgesource}

BuildRequires:   make

Requires:        %{name}-light
Requires:        %{name}-dark
Requires:        %{name}-darkest

Recommends:      flat-remix-icon-theme
Recommends:      flat-remix-gnome-shell-theme

%global _description %{expand:
Flat Remix GTK theme is a pretty simple GTK window theme inspired on material
design following a modern design using "flat" colors with high contrasts and
sharp borders.

Themes:
  * Flat Remix GTK
  * Flat Remix GTK Dark
  * Flat Remix GTK Darkest

Variants:
  * Solid: Theme without transparency
  * No Border: Darkest theme without white window border}

%description %{_description}

This meta package contains complete Flat Remix theme.

%files
%license LICENSE
%doc README.md CHANGELOG

#------------------------------------------------------------------

%package         light
Summary:         Flat Remix Light GTK theme

%description     light %{_description}

This package contains the light themes.

%files           light
%{_datadir}/themes/Flat-Remix-*Light*

#------------------------------------------------------------------

%package         dark
Summary:         Flat Remix Dark GTK theme

%description     dark %{_description}

This package contains the dark themes.

%files           dark
%{_datadir}/themes/Flat-Remix-*Dark*
%exclude %{_datadir}/themes/Flat-Remix-*Darkest*

#------------------------------------------------------------------

%package         darkest
Summary:         Flat Remix Darkest GTK theme

%description     darkest %{_description}

This package contains the light themes.

%files           darkest
%{_datadir}/themes/Flat-Remix-*Darkest*

#------------------------------------------------------------------

%prep
%forgeautosetup -p1

%build
#nothing

%install
%make_install

%changelog
* Thu Apr 24 2025 Hazel Bunny <hazel_bunny@disroot.org> 2024.07.30-1
- Fedora 42 Mass Rebuild

* Thu Apr 14 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.20220412-1
- chore(update): 20220412

* Sat Apr 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.20220330-1
- chore(update): 20220330

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20211223-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 28 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.20211223-1
- chore(update): 20211223
- build: Add flat-remix-gtk4-theme subpackage

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20201129-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20201129-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec  5 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.20201129-1
- Update to 20201129

* Sat Oct  3 17:39:13 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.20201001-1
- Update to 20201001

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20200718-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.20200718-1
- Update to 20200718

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20191224-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.20191224-1
- Update to 20191224

* Fri Sep 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.20190901-1
- Update to 20190901

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20190604-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 05 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.20190604-1
- Update to 20190604

* Sat May 04 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.20190503-3
- Initial package
